# VectorUtils

Package io.milvus.v2.utils

## Class VectorUtils

- java.lang.Object
- - io.milvus.v2.utils.VectorUtils

    public class VectorUtils
    extends java.lang.Object

### Constructor Summary

Constructors
`VectorUtils()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.milvus.grpc.QueryRequest` `ConvertToGrpcQueryRequest​(QueryReq request)`
`io.milvus.grpc.SearchRequest` `ConvertToGrpcSearchRequest​(SearchReq request)`
`java.lang.String` `getExprById​(java.lang.String primaryFieldName, java.util.List<?> ids)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VectorUtils

    public VectorUtils()

### Method Detail

#### ConvertToGrpcQueryRequest

    public io.milvus.grpc.QueryRequest ConvertToGrpcQueryRequest​(QueryReq request)

#### ConvertToGrpcSearchRequest

    public io.milvus.grpc.SearchRequest ConvertToGrpcSearchRequest​(SearchReq request)

#### getExprById

    public java.lang.String getExprById​(java.lang.String primaryFieldName,
                                        java.util.List<?> ids)